Bug 929095 - (CVE-2013-1884) CVE-2013-1884 Subversion (mod_dav_svn): DoS (crash) via malformed log REPORT requests
CVE-2013-1884 Subversion (mod_dav_svn): DoS (crash) via malformed log REPORT ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130404,repor...
: Security
Depends On: 948813
Blocks: 929099
  Show dependency treegraph
 
Reported: 2013-03-29 05:11 EDT by Huzaifa S. Sidhpurwala
Modified: 2013-11-18 08:13 EST (History)
4 users (show)

See Also:
Fixed In Version: Subversion 1.7.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-18 08:13:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch (819 bytes, patch)
2013-03-29 05:12 EDT, Huzaifa S. Sidhpurwala
no flags Details | Diff

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-03-29 05:11:04 EDT
It was found that Subversion's mod_dav_svn Apache HTTPD server module will crash when a log REPORT request receives a limit that is out of the allowed range. This can lead to a DoS.


Acknowledgements:

Red Hat would like to thank the Apache Subversion for reporting this issue. Upstream acknowledges Greg McMullin, Stefan Fuhrmann, Philip Martin and Ben Reser as the original reporters of this flaw.
Comment 2 Huzaifa S. Sidhpurwala 2013-03-29 05:12:28 EDT
Created attachment 717976 [details]
patch
Comment 4 Huzaifa S. Sidhpurwala 2013-04-04 05:10:32 EDT
Statement:

Not Vulnerable. This issue does not affect the version of subversion as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 5 Jan Lieskovsky 2013-04-05 08:52:32 EDT
External References:
http://subversion.apache.org/security/CVE-2013-1884-advisory.txt
Comment 7 Jan Lieskovsky 2013-04-05 09:00:49 EDT
Created subversion tracking bugs for this issue

Affects: fedora-all [bug 948813]

Note You need to log in before you can comment on or make changes to this bug.